Loading...
Searching...
No Matches
dolfin::MeshColoring Class Reference

`#include <MeshColoring.h>`

## Static Public Member Functions

static const std::vector< std::size_t > & | color_cells (Mesh &mesh, std::string coloring_type)
static const std::vector< std::size_t > & | color (Mesh &mesh, const std::vector< std::size_t > &coloring_type)
static std::size_t | compute_colors (const Mesh &mesh, std::vector< std::size_t > &colors, const std::vector< std::size_t > &coloring_type)
static MeshFunction< std::size_t > | cell_colors (std::shared_ptr< const Mesh > mesh, std::string coloring_type)
static MeshFunction< std::size_t > | cell_colors (std::shared_ptr< const Mesh > mesh, std::vector< std::size_t > coloring_type)
| Return a MeshFunction with the cell colors (used for visualisation).
static std::size_t | type_to_dim (std::string coloring_type, const Mesh &mesh)
| Convert coloring type to topological dimension.

## Detailed Description

This class computes colorings for a local mesh. It supports vertex, edge, and facet-based colorings.

## Member Function Documentation

## cell_colors()

MeshFunction< std::size_t > MeshColoring::cell_colors | ( | std::shared_ptr< const Mesh > | mesh,
|  | std::string | coloring_type )

static

Return a MeshFunction with the cell colors (used for visualisation)

## color()

const std::vector< std::size_t > & MeshColoring::color | ( | Mesh & | mesh,
|  | const std::vector< std::size_t > & | coloring_type )

static

Color the cells of a mesh for given coloring type specified by topological dimension, which can be one of 0, 1 or D -

1. Coloring is saved in the mesh topology

## color_cells()

const std::vector< std::size_t > & MeshColoring::color_cells | ( | Mesh & | mesh,
|  | std::string | coloring_type )

static

Color the cells of a mesh for given coloring type, which can be one of "vertex", "edge" or "facet". Coloring is saved in the mesh topology

## compute_colors()

std::size_t MeshColoring::compute_colors | ( | const Mesh & | mesh,
|  | std::vector< std::size_t > & | colors,
|  | const std::vector< std::size_t > & | coloring_type )

static

Compute cell colors for given coloring type specified by topological dimension, which can be one of 0, 1 or D - 1.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/MeshColoring.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/MeshColoring.cpp